The aRts Handbook
Prev | Chapter 2. aRts Tools | Next

# 2.6. artsdsp

The sound server only supports applications that are aRts-aware. Many legacy applications want to access the sound device directly. The artsdsp command provides an interim solution that allows most of these applications to run unchanged.

When an application is run under artsdsp all accesses to the `/dev/dsp` audio device are intercepted and mapped into aRts API calls. While the device emulation is not perfect, most applications work this way, albeit with some degradation in performance and latency.

The artsdsp command follows the format:

artsdsp [`options`] `application arguments`

The following options are recognized:

`-h`, `--help`

  Show brief help.

`-n` `--name` = `name`

  Use `name` to identify player to artsd.

`-m` `--mmap`

  Emulate memory mapping (i.e. for Quake).

`-v` `--verbose`

  Show parameters.

A typical invocation is:

`artsdsp `-v` `-m realplay `song.mp3```

Some applications work better with the `--mmap` option. Not all features of the sound device are fully emulated, but most applications should work. If you find one that does not, submit a detailed bug report and the developers may be able to fix it. Again, remember this is an interim solution and something of an ugly hack; the best solution is to add native aRts support to the applications. If your favorite sound application does not have aRts support, ask the developer to provide it.

Prev | Home | Next
artsplay | Up | artscat